Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.actions
Class WorkingSetFilterActionGroup

    java.lang.Object
      org.eclipse.ui.actions.ActionGroup
          org.eclipse.ui.actions.WorkingSetFilterActionGroup

public class WorkingSetFilterActionGroup
extends ActionGroup

Adds working set filter actions (set / clear / edit)

Since:
  2.1

Field Summary
`static String` | `CHANGE_WORKING_SET`

Constructor Summary
`WorkingSetFilterActionGroup(Shell shell, IPropertyChangeListener workingSetUpdater)` Creates a new instance of the receiver

Method Summary
`void` | `dispose()` Removes the menu listener
`void` | `fillActionBars(IActionBars actionBars)` Adds working set actions to the specified action bar.
`IWorkingSet` | `getWorkingSet()` Returns the working set which is currently selected.
`void` | `setWorkingSet(IWorkingSet newWorkingSet)` Sets the current working set.

Methods inherited from class org.eclipse.ui.actions.ActionGroup
`fillContextMenu, getContext, setContext, updateActionBars`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHANGE_WORKING_SET

    public static final String CHANGE_WORKING_SET

See Also:
  Constant Field Values

Constructor Detail

### WorkingSetFilterActionGroup

    public WorkingSetFilterActionGroup(Shell shell,
                                       IPropertyChangeListener workingSetUpdater)

  Creates a new instance of the receiver

Parameters:
  `shell` - shell to open dialogs and wizards on
  `workingSetUpdater` - property change listener notified when a working set is set

Method Detail

### dispose

    public void dispose()

  Removes the menu listener

  Overrides:
    `dispose` in class `ActionGroup`
  See Also:
    `ActionGroup.dispose()`

### fillActionBars

    public void fillActionBars(IActionBars actionBars)

  Adds working set actions to the specified action bar.

  Overrides:
    `fillActionBars` in class `ActionGroup`
  Parameters:
    `actionBars` - action bar to add working set actions to.
  See Also:
    `ActionGroup.fillActionBars(IActionBars)`

### getWorkingSet

    public IWorkingSet getWorkingSet()

  Returns the working set which is currently selected.

  Returns:
    the working set which is currently selected.

### setWorkingSet

    public void setWorkingSet(IWorkingSet newWorkingSet)

  Sets the current working set.

  Parameters:
    `newWorkingSet` - the new working set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.